# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# * Copyright (C) 2003 Legco <fafhrd@legco.biz> 
__version__ = '$Revision: 1.2 $'[11:-2]

import traceback, string
from cStringIO import StringIO
from Acquisition import aq_base
from Products.CMFCore.utils import getToolByName
from Products.CMFCore.TypesTool import ContentFactoryMetadata
from Products.CMFCore.DirectoryView import addDirectoryViews

from Products.ZopeScheduler import zopescheduler_globals
from Products.ZopeScheduler.ZopeScheduler import manage_addZopeScheduler

skin_path = 'zopescheduler'

def install(self):
    out = StringIO()

    portal = getToolByName(self, 'portal_url').getPortalObject()

    if not hasattr(aq_base(portal), 'zope_scheduler'):
        manage_addZopeScheduler(portal)

    skinsTool = portal.portal_skins

    if skin_path not in skinsTool.objectIds():
        addDirectoryViews(skinsTool, 'skins', zopescheduler_globals)
        out.write("Added 'zopescheduler' directory views to portal_skins\n")

    skins = skinsTool.getSkinSelections()
    for skin in skins:
        path = skinsTool.getSkinPath(skin)
        path = map(string.strip, path.split(','))
        if 1 or skin_path not in path and skin.startswith('Plone'):
            path.append(skin_path)

            path = string.join(path, ', ')
            skinsTool.addSkinSelection(skin, path)
            out.write("Added 'zopescheduler' to %s skins\n" % skin)
        else:
            out.write('Skipping %s skin\n' % skin)

    print >> out, "Successfully installed ZopeScheduler."
    return out.getvalue()
